package relational;

/**
 * Tools used by classes that implement Row.
 */
public class RowTools {
	public static ColumnSpec getColumnSpec(Object o) {
		if (o instanceof Relational) {
			return FromClause.createAnonymous(o.getClass()).getNaturalColumnSpec();
		} else {
			return ((Row) o).getColumnSpec();
		}
	}
}
